BoostAttributeImpl (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.standard.config.BoostAttributeImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.standard.config
Class BoostAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.BoostAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, ConfigAttribute, BoostAttribute, org.apache.lucene.util.Attribute

Deprecated.

    @Deprecated
    public class BoostAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements BoostAttribute, ConfigAttribute

This attribute is used by `MultiFieldQueryNodeProcessor` processor and it should be defined in a `FieldConfig`. This processor uses this attribute to define which boost a specific field should have when none is defined to it.

See Also:
  `BoostAttribute`, Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`BoostAttributeImpl()` Deprecated.

Method Summary
`void` | `clear()` Deprecated.
`void` | `copyTo(org.apache.lucene.util.AttributeImpl target)` Deprecated.
`boolean` | `equals(Object other)` Deprecated.
`float` | `getBoost()` Deprecated.
`int` | `hashCode()` Deprecated.
`void` | `setBoost(float boost)` Deprecated.
`void` | `setQueryConfigHandler(AbstractQueryConfig config)` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BoostAttributeImpl

    public BoostAttributeImpl()

  Deprecated.

Method Detail

### setBoost

    public void setBoost(float boost)

  Deprecated.
  Specified by:
    `setBoost` in interface `BoostAttribute`

### getBoost

    public float getBoost()

  Deprecated.
  Specified by:
    `getBoost` in interface `BoostAttribute`

### clear

    public void clear()

  Deprecated.
  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Deprecated.
  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

### equals

    public boolean equals(Object other)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `org.apache.lucene.util.AttributeImpl`

### setQueryConfigHandler

    public void setQueryConfigHandler(AbstractQueryConfig config)

  Deprecated.
  Specified by:
    `setQueryConfigHandler` in interface `ConfigAttribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD